---
lang: en
title: 'API docs: metadata.namespacedreflect.deletemetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect.deletemetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [deleteMetadata](./metadata.namespacedreflect.deletemetadata.md)

## NamespacedReflect.deleteMetadata() method

<b>Signature:</b>

```typescript
deleteMetadata(metadataKey: string, target: Object, propertyKey?: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  metadataKey | <code>string</code> |  |
|  target | <code>Object</code> |  |
|  propertyKey | <code>string</code> |  |

<b>Returns:</b>

`boolean`


